@use "src/colors";

#projects {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 20px;
  justify-content: space-evenly;
  overflow-y: auto;

  @for $i from 1 through 100 {
    .project:nth-child(#{$i}n) {
      animation-delay: #{$i * 0.2}s;
    }
  }

  .project {
    max-width: 500px;
    height: 500px;
    display: flex;
    flex-direction: column;
    margin: 20px;

    img {
      width: 100%;
      height: auto;
    }

    .title {
      font-size: 25px;
      display: block;
      margin-block: 10px;
    }

    .description {
      color: rgba(colors.$text, 0.8);
    }

    mat-card-content {
      margin-top: 30px;
    }

    mat-card-actions {
      margin-top: auto;
      display: flex;
      justify-content: space-evenly;
      flex-wrap: wrap;
    }
  }

  @media screen and (max-width: 700px) {
    padding: 10px;

    .project {
      margin: 5px;
      height: max-content;
    }
  }
}
